Jump to: Board index » General » Fusion

Fusion Node 17.4.2 crash

Learn about 3D compositing, animation, broadcast design and VFX workflows.
  • Author
  • Message
Offline

Nicolas

  • Posts: 31
  • Joined: Thu Jan 02, 2020 10:00 am
  • Real Name: Nicolas Genette

Fusion Node 17.4.2 crash

PostThu Dec 02, 2021 10:30 am

Hi,

New problem since going from 17.3.1 build 6 to 17.4.2

I use Backburner to start FusionRenderNode like this :


C:\FusionNode\FusionRenderNode.exe \\pathtocompfile.comp /cleanlog /verbose /render /start %tp1 /end %tp1 /step 1 /status /quiet /quit

Now have this error:
Annotation 2021-12-02 112353.jpg
Annotation 2021-12-02 112353.jpg (40.87 KiB) Viewed 1437 times


Seems the /quit doesn't make process exiting with normal code 0 :shock:

Another problem we always had:
With option /log C:\logfile.log sometimes rendernodes machine write "Loading comp ..." log line in the comp file !! Making next render impossible, comp file being rubish.
Offline

Nicolas

  • Posts: 31
  • Joined: Thu Jan 02, 2020 10:00 am
  • Real Name: Nicolas Genette

Re: Fusion Node 17.4.2 crash

PostMon Dec 06, 2021 11:40 am

Could we at least know if BM is working on such issue ?

No more network rendering with 17.4 is just a no-no :?
Offline

Nicolas

  • Posts: 31
  • Joined: Thu Jan 02, 2020 10:00 am
  • Real Name: Nicolas Genette

Re: Fusion Node 17.4.2 crash

PostTue Dec 14, 2021 9:14 am

This actually prevent us to move up to 17.4 :(

Maybe related:
viewtopic.php?f=22&t=151021
Offline
User avatar

TheBloke

  • Posts: 1905
  • Joined: Sat Nov 02, 2019 11:49 pm
  • Location: UK
  • Real Name: Tom Jobbins

Re: Fusion Node 17.4.2 crash

PostTue Dec 14, 2021 2:27 pm

Over on WSL I just posted a work-around script for macOS or Linux users. It wraps Fusion Render Node and detects the true return code, then exits with that code. It should enable a render manager to work properly again.

Here's the script. Further details and instructions are in the post linked above.

Code: Select all
#!/bin/bash
# RenderNodeWrap.sh - a simple wrapper for Fusion Render Node, capturing and returning the correct return code
log() {
    echo "[$(date +'%Y-%m-%d %H:%M:%S')] RenderNodeWrap.sh: $@"
}

RN="/Applications/Blackmagic Fusion 17 Render Node/Fusion Render Node.app/Contents/MacOS/Fusion Render Node"
logfile=$(mktemp /tmp/RenderNodeWrap.XXXXX) || { log "ERROR! Couldn't make temp file to log to."; exit 1 ; }

log "launching RenderNode with command line: $RN ${@}"
"$RN" "${@}" 2>&1 | tee "$logfile"
errcode=${PIPESTATUS[0]}
if (( errcode == 0 ))
then # RenderNode completed successfully
    log "Render Node ran successfully."
else # RenderNode returned error code != 0, so we need to work out the real error code
    log "Render Node indicated failure (return code: $errcode), getting true return code."
    errcode=$(tail -5 "$logfile" | awk -e '/Auto-exiting with errcode/ { print $4 }' )
    log "Return code from log is: $errcode"
    if [[ "$errcode" == "" ]]
    then
        log "Couldn't find return code in log, indicating an error (eg composition not found.)"
        errcode=1
    fi
fi

rm "$logfile"
log "Exiting with return code: $errcode"
exit "$errcode"
Resolve Studio 17.4.3 and Fusion Studio 17.4.3 on macOS 11.6.1

Hackintosh:: X299, Intel i9-10980XE, 128GB DDR4, AMD 6900XT 16GB
Monitors: 1 x 3840x2160 & 3 x 1920x1200
Disk: 2TB NVMe + 4TB RAID0 NVMe; NAS: 36TB RAID6
BMD Speed Editor
Offline

Nicolas

  • Posts: 31
  • Joined: Thu Jan 02, 2020 10:00 am
  • Real Name: Nicolas Genette

Re: Fusion Node 17.4.2 crash

PostTue Dec 14, 2021 2:36 pm

Many thanks, I will try to do something like than on windows. maybe python or a simple autoit.

Of course lot better solution in BM hands :|
Offline

Nicolas

  • Posts: 31
  • Joined: Thu Jan 02, 2020 10:00 am
  • Real Name: Nicolas Genette

Re: Fusion Node 17.4.2 crash

PostTue Dec 21, 2021 1:57 pm

Same problem with 17.4.3 :shock:

Return to Fusion

Who is online

Users browsing this forum: No registered users and 32 guests